
Redmine - Defect #26649

Error after Login on Redmine 3.4.2

2017-08-08 13:22 - Rene Kolbe

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hello,

i've installed Redmine 3.4.2 on Ruby2.2.6 and Rails 4.2.

I can start the Redmine on http://localhost:3000, if i logged me on i get this Error in the production.log

Started POST "/login" for 127.0.0.1 at 2017-08-08 13:09:57 +0200

Processing by AccountController#login as HTML

  Parameters: {"utf8"=>"✓", "authenticity_token"=>"rGhz6l23Kc2JvgWxksKdRpBlmxeeCQJuchdr3RAVABuBybq

JI4mFOgXtKS0p2DbWYFzlrQ2w8R7AQ0pxJKOldA==", "back_url"=>"http://localhost:3000/account/register", 

"username"=>"rene.kolbe", "password"=>"[FILTERED]", "login"=>"Anmelden"}

  Current user: anonymous

Successful authentication for 'Rene.Kolbe' from 127.0.0.1 at 2017-08-08 11:09:57 UTC

Completed 500 Internal Server Error in 62ms (ActiveRecord: 31.2ms)

ActiveRecord::StatementInvalid (TinyTds::Error: Invalid column name 'updated_on'.: EXEC sp_execute

sql N'SELECT [tokens].[id] FROM [tokens] WHERE [tokens].[user_id] = @0 AND [tokens].[action] = @1 

 ORDER BY [tokens].[updated_on] DESC OFFSET 9 ROWS', N'@0 int, @1 nvarchar(30)', @0 = 1080, @1 = N

'session'):

  app/models/token.rb:135:in `delete_previous_tokens'

  app/models/user.rb:416:in `generate_session_token'

  app/controllers/application_controller.rb:82:in `start_user_session'

  app/controllers/application_controller.rb:162:in `logged_user='

  app/controllers/account_controller.rb:273:in `successful_authentication'

  app/controllers/account_controller.rb:219:in `password_authentication'

  app/controllers/account_controller.rb:205:in `authenticate_user'

  app/controllers/account_controller.rb:38:in `login'

  lib/redmine/sudo_mode.rb:63:in `sudo_mode'

 We use the Database from an Redmine 2.6 installation on SQL Server 2012. i had installed Redmine 3.0.4 before and the log on was

successfully.

Anybody has an idea?

Pls help me as soon as possible - for Information: I'm not an Ruby Developer...

Best Regards

History

#1 - 2017-08-08 13:36 - Rene Kolbe

I've seen that the Column "update_on" is not avialable in the table "tokens" on the old Database.

Can i add this Column without the original system on Redmine 2.6 crashed?

#2 - 2017-08-08 20:37 - Toshi MARUYAMA

- Status changed from New to Closed

- Priority changed from High to Normal

- Resolution set to Invalid

2025-04-21 1/2

http://localhost:3000


You need to run "bundle exec rake db:migrate".

source:tags/3.4.2/db/migrate/20151024082034_add_tokens_updated_on.rb
